Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.rdf.model
Class AnonId

    java.lang.Object
      com.hp.hpl.jena.rdf.model.AnonId

    public class AnonId

extends java.lang.Object

Create a new id for an anonymous node.

This id is guaranteed to be unique on this machine.

Version:
  $Name: $ $Revision: 1.11 $ $Date: 2008/01/02 12:05:48 $
Author:
  bwm

Constructor Summary
`AnonId()` Creates new AnonId.
`AnonId(java.lang.String id)` Create a new AnonId from the string argument supplied

Method Summary
`static AnonId` | `create()`
`static AnonId` | `create(java.lang.String id)`
`boolean` | `equals(java.lang.Object o)` Test whether two id's are the same
`java.lang.String` | `getLabelString()` Answer the label string of this AnonId.
`int` | `hashCode()` return a hashcode for this id
`java.lang.String` | `toString()` return a string representation of the id

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnonId

    public AnonId()

  Creates new AnonId. Normally this id is guaranteed to be unique on this machine: it is time-dependant. However, sometimes [incorrect] code is sensitive to bnode ordering and produces bizarre bugs (both Dave and Chris have been bitten by this, as have some users, I think). Hence the disableBNodeUIDGeneration flag, which allows bnode IDs to be predictable.

### AnonId

    public AnonId(java.lang.String id)

  Create a new AnonId from the string argument supplied

  Parameters:
    `id` - A string representation of the id to be created.

Method Detail

### create

    public static AnonId create()

### create

    public static AnonId create(java.lang.String id)

### equals

    public boolean equals(java.lang.Object o)

  Test whether two id's are the same

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - the object to be compared
  Returns:
    true if and only if the two id's are the same

### toString

    public java.lang.String toString()

  return a string representation of the id

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the id

### getLabelString

    public java.lang.String getLabelString()

  Answer the label string of this AnonId. To be used in preference to toString().

### hashCode

    public int hashCode()

  return a hashcode for this id

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    the hash code

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP